﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Windows.Data;

namespace SilverlightApplication80
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            testDataForm.ItemsSource = Item.Generate(10);
        }
    }

    public class Item
    {
        private static Random rnd = new Random();
        public string Accredited { get; set; }
        public int ItemID { get; set; }

        public Item()
        {
            ItemID = rnd.Next(100);
            Accredited = rnd.Next(2) == 0 ? "y": "n";
        }

        public static ObservableCollection<Item> Generate(int count)
        {
            ObservableCollection<Item> res = new ObservableCollection<Item>();
            for (int i = 0; i < count; i++)
            {
                res.Add(new Item());
            }
            return res;
        }
    }

    public class MyConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value.ToString() == "y" ? true : false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
